## o2 1.0~repack

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.0)

project(o2)

set(BUILD_TESTS ON CACHE BOOL "Compile regression and other tests")

set(BUILD_TESTS_WITH_LIBLO OFF CACHE BOOL "Compile tests that use liblo,
requiring liblo library (only enabled if BUILD_TESTS is ON)")

set(BUILD_MIDI_EXAMPLE OFF CACHE BOOL "Compile midiclient & midiserver,
requiring portmidi library")

# O2 intentionally writes outside of declared array bounds (and
#  carefully insures that space is allocated beyond array bounds,
#  especially for message data, which is declared char[4], but can
#  be arbitrariily long -- well, at least up to O2_MAX_MSG_SIZE)
# Newer compilers will try to enforce char[4] in memcpy and strcpy
#  unless we turn off this behavior with the following macro definition:
add_definitions("-D_FORTIFY_SOURCE=0")

if(WIN32)
  add_definitions("-D_CRT_SECURE_NO_WARNINGS -D_WINSOCK_DEPRECATED_NO_WARNINGS -DIS_BIG_ENDIAN=0")
  include(static.cmake)
  set(EXTRA_LIBS winmm.lib ws2_32.lib Iphlpapi.lib)
endif(WIN32)

if(APPLE)
  set(FRAMEWORK_PATH ${CMAKE_OSX_SYSROOT}/System/Library/Frameworks) 
  set(EXTRA_LIBS "${FRAMEWORK_PATH}/CoreAudio.framework") 
endif(APPLE)

#set(CMAKE_CXX_FLAGS "-stdlib=libc++")
#set(CMAKE_EXE_LINKER_FLAGS "-stdlib=libc++")

# o2
 
set(O2_SRC  
  src/o2_dynamic.c src/o2_dynamic.h
  src/o2.c src/o2.h src/o2_internal.h 
  src/o2_discovery.c src/o2_discovery.h
  src/o2_message.c src/o2_message.h 
  src/o2_sched.c src/o2_sched.h
  src/o2_search.c src/o2_search.h 
  src/o2_send.c src/o2_send.h 
  src/o2_socket.c src/o2_socket.h 
  src/o2_clock.c src/o2_clock.h
  # src/o2_debug.c src/o2_debug.h
  src/o2_interoperation.c src/o2_interoperation.h
  )  
 
add_library(o2_static STATIC ${O2_SRC})  
 
#target_include_directories(o2_static PRIVATE ${no include directories})

#######################
# BUILD CONFIGURATION #
#######################

set(LIBRARIES o2_static ${EXTRA_LIBS} CACHE INTERNAL "") 

if(BUILD_TESTS)
message(STATUS "Building test programs")

set(BUILD_STATIC_LIB TRUE CACHE BOOL "Build a static lib -- currently the only thing supported, turning OFF probably gives you a static library without a static runtime library option.")

# DEAL WITH WINDOWS OPTIONS: DEATH BY A THOUSAND CUTS
if(WIN32)
  if(USE_STATIC_LIBS)
    # release will use static runtime library
    foreach(flag_var CMAKE_CXX_FLAGS_RELEASE CMAKE_C_FLAGS_RELEASE
        CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_MINSIZEREL
        CMAKE_CXX_FLAGS_RELWITHDEBINFO CMAKE_CFLAGS CMAKE_C_FLAGS_MINSIZEREL
        CMAKE_C_FLAGS_RELWITHDEBINFO)
      if(${flag_var} MATCHES "/MD")
        string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
      endif(${flag_var} MATCHES "/MD")
    endforeach(flag_var)
    message(STATUS 
      "Note: overriding CMAKE_*_FLAGS_* to use Visual C static multithread library")
    set(VERBOSE_WARNINGS 0 CACHE BOOL "Do not use _CRT_SECURE_NO_WARNINGS to disable suggestions to use 'secure' versions of strcpy, etc.")
  endif(USE_STATIC_LIBS)
endif(WIN32)


# EXECUTABLE
# Create executables 
add_executable(dispatchtest test/dispatchtest.c)  
target_include_directories(dispatchtest PRIVATE ${CMAKE_SOURCE_DIR}/src)  
target_link_libraries(dispatchtest ${LIBRARIES}) 
 
add_executable(typestest test/typestest.c)   
target_include_directories(typestest PRIVATE ${CMAKE_SOURCE_DIR}/src)   
target_link_libraries(typestest ${LIBRARIES}) 
  
add_executable(coercetest test/coercetest.c)    
target_include_directories(coercetest PRIVATE ${CMAKE_SOURCE_DIR}/src)    
target_link_libraries(coercetest ${LIBRARIES}) 
   
add_executable(longtest test/longtest.c)     
target_include_directories(longtest PRIVATE ${CMAKE_SOURCE_DIR}/src)     
target_link_libraries(longtest ${LIBRARIES}) 
    
add_executable(arraytest test/arraytest.c)     
target_include_directories(arraytest PRIVATE ${CMAKE_SOURCE_DIR}/src)     
target_link_libraries(arraytest ${LIBRARIES}) 
    
add_executable(o2client test/o2client.c) 
target_include_directories(o2client PRIVATE ${CMAKE_SOURCE_DIR}/src) 
target_link_libraries(o2client ${LIBRARIES}) 

add_executable(o2server test/o2server.c) 
target_include_directories(o2server PRIVATE ${CMAKE_SOURCE_DIR}/src) 
target_link_libraries(o2server ${LIBRARIES}) 

add_executable(statusclient test/statusclient.c)
target_include_directories(statusclient PRIVATE ${CMAKE_SOURCE_DIR}/src)   
target_link_libraries(statusclient ${LIBRARIES}) 
  
add_executable(statusserver test/statusserver.c)   
target_include_directories(statusserver PRIVATE ${CMAKE_SOURCE_DIR}/src)   
target_link_libraries(statusserver ${LIBRARIES}) 
 
add_executable(tcpclient test/tcpclient.c)   
target_include_directories(tcpclient PRIVATE ${CMAKE_SOURCE_DIR}/src)   
target_link_libraries(tcpclient ${LIBRARIES}) 
  
add_executable(tcpserver test/tcpserver.c)   
target_include_directories(tcpserver PRIVATE ${CMAKE_SOURCE_DIR}/src)   
target_link_libraries(tcpserver ${LIBRARIES}) 
 
add_executable(clockslave test/clockslave.c) 
target_include_directories(clockslave PRIVATE ${CMAKE_SOURCE_DIR}/src) 
target_link_libraries(clockslave ${LIBRARIES}) 

add_executable(clockmaster test/clockmaster.c)  
target_include_directories(clockmaster PRIVATE ${CMAKE_SOURCE_DIR}/src)  
target_link_libraries(clockmaster ${LIBRARIES}) 

add_executable(oscsendtest test/oscsendtest.c)  
target_include_directories(oscsendtest PRIVATE ${CMAKE_SOURCE_DIR}/src)  
target_link_libraries(oscsendtest ${LIBRARIES}) 
 
add_executable(oscrecvtest test/oscrecvtest.c)   
target_include_directories(oscrecvtest PRIVATE ${CMAKE_SOURCE_DIR}/src)   
target_link_libraries(oscrecvtest ${LIBRARIES}) 
  
add_executable(oscanytest test/oscanytest.c)   
target_include_directories(oscanytest PRIVATE ${CMAKE_SOURCE_DIR}/src)   
target_link_libraries(oscanytest ${LIBRARIES}) 
  
add_executable(bundletest test/bundletest.c)   
target_include_directories(bundletest PRIVATE ${CMAKE_SOURCE_DIR}/src)   
target_link_libraries(bundletest ${LIBRARIES}) 
  
add_executable(oscbndlsend test/oscbndlsend.c)   
target_include_directories(oscbndlsend PRIVATE ${CMAKE_SOURCE_DIR}/src)   
target_link_libraries(oscbndlsend ${LIBRARIES}) 

add_executable(oscbndlrecv test/oscbndlrecv.c)   
target_include_directories(oscbndlrecv PRIVATE ${CMAKE_SOURCE_DIR}/src)   
target_link_libraries(oscbndlrecv ${LIBRARIES}) 
endif(BUILD_TESTS)

if(UNIX)
  if(APPLE)
  else(APPLE)
    # linux
    set(CMAKE_C_FLAGS "-std=gnu99")
  endif(APPLE)
  if(BUILD_MIDI_EXAMPLE)
    # Use PortMidi Library
    set(PORTMIDI_DBG_LIB PORTMIDI_DBG_LIB-NOTFOUND)
    set(PORTMIDI_OPT_LIB PORTMIDI_OPT_LIB-NOTFOUND)

    if(APPLE)
      set(COREMIDI_LIB "${FRAMEWORK_PATH}/CoreMIDI.framework")
      set(EXTRA_NEEDED_LIBS ${COREAUDIO_LIB} ${COREFOUNDATION_LIB}
                            ${COREMIDI_LIB} ${CORESERVICES_LIB})
    else(APPLE)
      # LINUX
      set(PTHREAD_LIB pthread)
      set(EXTRA_NEEDED_LIBS asound ${PTHREAD_LIB})
    endif(APPLE)

    set(PORTMIDI_BASE_PATH ../portmedia/portmidi 
        CACHE STRING "Where is portmidi?")
    set(PORTMIDI_PATH ${PORTMIDI_BASE_PATH}/pm_common CACHE INTERNAL 
                      "Where is portmidi.h?" FORCE)
    message(STATUS "PORTMIDI_BASE_PATH is " ${PORTMIDI_BASE_PATH})
  
    if(USE_STATIC_LIBS)
      if(UNIX)
        find_library(PORTMIDI_DBG_LIB portmidi_s ${PORTMIDI_BASE_PATH}
                     ${PORTMIDI_BASE_PATH}/Debug
                     ${PORTMIDI_PATH} ${PORTMIDI_PATH}/Debug)
      else(UNIX) # always use dll for windows debug
        find_library(PORTMIDI_DBG_LIB portmidi HINTS
                     ${PORTMIDI_BASE_PATH} ${PORTMIDI_BASE_PATH}/Debug
                     ${PORTMIDI_PATH} ${PORTMIDI_PATH}/Debug)
      endif(UNIX)

      message(STATUS "*** in USE_STATIC_LIBS, USE_MIDI ${USE_MIDI} PORTMIDI_DBG_LIB ${PORTMIDI_DBG_LIB}")

    else(USE_STATIC_LIBS)
      find_library(PORTMIDI_DBG_LIB portmidi HINTS
                   ${PORTMIDI_BASE_PATH} ${PORTMIDI_BASE_PATH}/Debug
	           ${PORTMIDI_BASE_PATH}/x64/Debug
                   ${PORTMIDI_PATH} ${PORTMIDI_PATH}/Debug
                   ${PORTMIDI_PATH}/x64/Debug)
    endif(USE_STATIC_LIBS)

    add_executable(midiclient test/midiclient.c test/cmtio.c test/cmtio.h) 
    target_include_directories(midiclient PRIVATE ${CMAKE_SOURCE_DIR}/src) 
    target_link_libraries(midiclient ${LIBRARIES})

    add_executable(midiserver test/midiserver.c)
    target_include_directories(midiserver PRIVATE ${CMAKE_SOURCE_DIR}/src
          ${PORTMIDI_PATH} ${PORTMIDI_PATH}/../porttime)
    target_link_libraries(midiserver ${LIBRARIES} ${PORTMIDI_DBG_LIB}) 
  endif(BUILD_MIDI_EXAMPLE) 
endif(UNIX)

message(STATUS LIBRARIES=${LIBRARIES}) 

# this is some networking test code, not part of O2
#add_executable(broadcastclient test/broadcastclient.c) 
#add_executable(broadcastserver test/broadcastserver.c) 
#add_executable(tcppollclient test/tcppollclient.c) 
#add_executable(tcppollserver test/tcppollserver.c) 



# I don't know if this is necessary. If it is, it should be duplicated
# for o2client and o2server:
#if(WIN32)
  #set_target_properties(o2test PROPERTIES 
                               #LINK_FLAGS "/SUBSYSTEM:WINDOWS")
  #set_property(TARGET o2test PROPERTY WIN32_EXECUTABLE TRUE)
#endif(WIN32)

##########################################################
# liblo was used for some performance comparisons, but it 
# is disabled/commented out to remove the liblo path and 
# library dependencies from this CMakeLists.txt file 
##########################################################

if(BUILD_TESTS)
if(BUILD_TESTS_WITH_LIBLO)
  set(LIBLO_PATH "${CMAKE_SOURCE_DIR}/../liblo-0.28" CACHE PATH
                 "Where to find liblo_64s.a, the liblo library.") 
  set(LIBLO_LIB LIBLO_LIB-NOTFOUND CACHE FILEPATH
             "The liblo library; should be set automatically if LIBLO_PATH is correct and liblo_64s.a exists.") 
  find_library(LIBLO_LIB lo_s64 ${LIBLO_PATH})
  # where to find liblo include files:
  set(LIBLO_INCLUDE_PATH ${LIBLO_PATH} CACHE PATH "where to find liblo include files") 

  message(STATUS "LIBLO_LIB is ${LIBLO_LIB}") 

  # Create executables 
  add_executable(lo_benchmk_server  test/lo_benchmk_server.c) 
  target_include_directories(lo_benchmk_server PRIVATE ${LIBLO_INCLUDE_PATH})
  target_link_libraries(lo_benchmk_server ${LIBLO_LIB} ${EXTRA_NEEDED_LIBS}) 

  add_executable(lo_benchmk_client  test/lo_benchmk_client.c) 
  target_include_directories(lo_benchmk_client PRIVATE ${LIBLO_INCLUDE_PATH})  
  target_link_libraries(lo_benchmk_client ${LIBLO_LIB}  ${EXTRA_NEEDED_LIBS})  

  add_executable(lo_oscrecv test/lo_oscrecv.c) 
  target_include_directories(lo_oscrecv PRIVATE ${LIBLO_INCLUDE_PATH})  
  target_link_libraries(lo_oscrecv ${LIBLO_LIB}  ${EXTRA_NEEDED_LIBS})   

  add_executable(lo_oscsend test/lo_oscsend.c) 
  target_include_directories(lo_oscsend PRIVATE ${LIBLO_INCLUDE_PATH})  
  target_link_libraries(lo_oscsend ${LIBLO_LIB}  ${EXTRA_NEEDED_LIBS})    

  add_executable(lo_bndlsend test/lo_bndlsend.c) 
  target_include_directories(lo_bndlsend PRIVATE ${LIBLO_INCLUDE_PATH})  
  target_link_libraries(lo_bndlsend ${LIBLO_LIB}  ${EXTRA_NEEDED_LIBS})     

  add_executable(lo_bndlrecv test/lo_bndlrecv.c) 
  target_include_directories(lo_bndlrecv PRIVATE ${LIBLO_INCLUDE_PATH})  
  target_link_libraries(lo_bndlrecv ${LIBLO_LIB}  ${EXTRA_NEEDED_LIBS})     
endif(BUILD_TESTS_WITH_LIBLO)
endif(BUILD_TESTS)

=== debian/changelog ===
o2 (1.0~repack-1) unstable; urgency=medium

  * Initial release. (Closes: #915265)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 04 Dec 2018 14:48:05 +0100

=== debian/control ===
Source: o2
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 debhelper (>= 11~),
 dh-buildinfo,
 dh-exec,
 cmake,
 doxygen,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/o2
Vcs-Git: https://salsa.debian.org/multimedia-team/o2.git
Homepage: https://github.com/rbdannenberg/o2/

Package: libo2-dev
Architecture: any
Section: libdevel
Depends:
 libo2 (= ${binary:Version}),
 ${misc:Depends},
Description: next generation communication protocol for music systems - development files
 O2 is a communication protocol for interactive music and media applications.
 It is inspired by Open Sound Control (OSC) and uses similar means to form
 addresses, specify types, and encode messages.
 .
 In addition to providing message delivery, O2 offers a discovery mechanism
 where processes automatically discover and connect to other processes.
 Furthermore, O2 implements a clock synchronization protocol.
 .
 O2 is based on IP (Internet Protocol), but there are some mechanisms that allow
 an O2 process to serve as a bridge to other networks such as Bluetooth.
 .
 This package contains headers, documentation and static libraries.

Package: libo2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: libo2-dev
Pre-Depends: ${misc:Pre-Depends}
Description: next generation communication protocol for music systems
 O2 is a communication protocol for interactive music and media applications.
 It is inspired by Open Sound Control (OSC) and uses similar means to form
 addresses, specify types, and encode messages.
 .
 In addition to providing message delivery, O2 offers a discovery mechanism
 where processes automatically discover and connect to other processes.
 Furthermore, O2 implements a clock synchronization protocol.
 .
 O2 is based on IP (Internet Protocol), but there are some mechanisms that allow
 an O2 process to serve as a bridge to other networks such as Bluetooth.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with buildinfo

override_dh_auto_build:
	dh_auto_build
	doxygen doc/Doxyfile

override_dh_clean:
	dh_clean
	rm -rf doc/doxygen

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts="dversionmangle=s%[~+](dfsg|repack|ds)([.]?[0-9]*)?$%%,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%o2-$1%,repacksuffix=~repack" \
  https://github.com/rbdannenberg/o2/tags \
  (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate

## o2 1.1~ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,10 +24,14 @@
   set(EXTRA_LIBS winmm.lib ws2_32.lib Iphlpapi.lib)
 endif(WIN32)
 
-if(APPLE)
-  set(FRAMEWORK_PATH ${CMAKE_OSX_SYSROOT}/System/Library/Frameworks) 
-  set(EXTRA_LIBS "${FRAMEWORK_PATH}/CoreAudio.framework") 
-endif(APPLE)
+if(UNIX)
+  if(APPLE)
+    set(FRAMEWORK_PATH ${CMAKE_OSX_SYSROOT}/System/Library/Frameworks) 
+    set(EXTRA_LIBS "${FRAMEWORK_PATH}/CoreAudio.framework") 
+  else(APPLE) # must be Linux
+    # set(EXTRA_LIBS "-lm") # needed by liblo
+  endif(APPLE)
+endif(UNIX)
 
 #set(CMAKE_CXX_FLAGS "-stdlib=libc++")
 #set(CMAKE_EXE_LINKER_FLAGS "-stdlib=libc++")
@@ -91,7 +95,11 @@
 add_executable(typestest test/typestest.c)   
 target_include_directories(typestest PRIVATE ${CMAKE_SOURCE_DIR}/src)   
 target_link_libraries(typestest ${LIBRARIES}) 
-  
+
+add_executable(taptest test/taptest.c)   
+target_include_directories(taptest PRIVATE ${CMAKE_SOURCE_DIR}/src)   
+target_link_libraries(taptest ${LIBRARIES}) 
+
 add_executable(coercetest test/coercetest.c)    
 target_include_directories(coercetest PRIVATE ${CMAKE_SOURCE_DIR}/src)    
 target_link_libraries(coercetest ${LIBRARIES}) 
@@ -136,6 +144,14 @@
 target_include_directories(clockmaster PRIVATE ${CMAKE_SOURCE_DIR}/src)  
 target_link_libraries(clockmaster ${LIBRARIES}) 
 
+add_executable(appslave test/appslave.c) 
+target_include_directories(appslave PRIVATE ${CMAKE_SOURCE_DIR}/src) 
+target_link_libraries(appslave ${LIBRARIES}) 
+
+add_executable(appmaster test/appmaster.c)  
+target_include_directories(appmaster PRIVATE ${CMAKE_SOURCE_DIR}/src)  
+target_link_libraries(appmaster ${LIBRARIES}) 
+
 add_executable(oscsendtest test/oscsendtest.c)  
 target_include_directories(oscsendtest PRIVATE ${CMAKE_SOURCE_DIR}/src)  
 target_link_libraries(oscsendtest ${LIBRARIES}) 
@@ -156,16 +172,30 @@
 target_include_directories(oscbndlsend PRIVATE ${CMAKE_SOURCE_DIR}/src)   
 target_link_libraries(oscbndlsend ${LIBRARIES}) 
 
-add_executable(oscbndlrecv test/oscbndlrecv.c)   
-target_include_directories(oscbndlrecv PRIVATE ${CMAKE_SOURCE_DIR}/src)   
-target_link_libraries(oscbndlrecv ${LIBRARIES}) 
+add_executable(oscbndlrecv test/oscbndlrecv.c)    
+target_include_directories(oscbndlrecv PRIVATE ${CMAKE_SOURCE_DIR}/src)    
+target_link_libraries(oscbndlrecv ${LIBRARIES})  
+
+add_executable(infotest1 test/infotest1.c)    
+target_include_directories(infotest1 PRIVATE ${CMAKE_SOURCE_DIR}/src)    
+target_link_libraries(infotest1 ${LIBRARIES})  
+ 
+add_executable(infotest2 test/infotest2.c)    
+target_include_directories(infotest2 PRIVATE ${CMAKE_SOURCE_DIR}/src)    
+target_link_libraries(infotest2 ${LIBRARIES})  
 endif(BUILD_TESTS)
 
 if(UNIX)
   if(APPLE)
+    # EXTRA_LO_LIBS is libraries needed by Liblo applications
+    set(EXTRA_LO_LIBS ${COREAUDIO_LIB} ${COREFOUNDATION_LIB}
+                      ${COREMIDI_LIB} ${CORESERVICES_LIB})
   else(APPLE)
     # linux
     set(CMAKE_C_FLAGS "-std=gnu99")
+    set(PTHREAD_LIB pthread)
+    # EXTRA_LO_LIBS is libraries needed by Liblo applications
+    set(EXTRA_LO_LIBS asound ${PTHREAD_LIB} m)
   endif(APPLE)
   if(BUILD_MIDI_EXAMPLE)
     # Use PortMidi Library
@@ -174,12 +204,7 @@
 
     if(APPLE)
       set(COREMIDI_LIB "${FRAMEWORK_PATH}/CoreMIDI.framework")
-      set(EXTRA_NEEDED_LIBS ${COREAUDIO_LIB} ${COREFOUNDATION_LIB}
-                            ${COREMIDI_LIB} ${CORESERVICES_LIB})
     else(APPLE)
-      # LINUX
-      set(PTHREAD_LIB pthread)
-      set(EXTRA_NEEDED_LIBS asound ${PTHREAD_LIB})
     endif(APPLE)
 
     set(PORTMIDI_BASE_PATH ../portmedia/portmidi 
@@ -249,7 +274,7 @@
   set(LIBLO_PATH "${CMAKE_SOURCE_DIR}/../liblo-0.28" CACHE PATH
                  "Where to find liblo_64s.a, the liblo library.") 
   set(LIBLO_LIB LIBLO_LIB-NOTFOUND CACHE FILEPATH
-             "The liblo library; should be set automatically if LIBLO_PATH is correct and liblo_64s.a exists.") 
+             "The liblo library; should be set automatically if LIBLO_PATH is correct and liblo_s64.a exists.") 
   find_library(LIBLO_LIB lo_s64 ${LIBLO_PATH})
   # where to find liblo include files:
   set(LIBLO_INCLUDE_PATH ${LIBLO_PATH} CACHE PATH "where to find liblo include files") 
@@ -259,26 +284,18 @@
   # Create executables 
   add_executable(lo_benchmk_server  test/lo_benchmk_server.c) 
   target_include_directories(lo_benchmk_server PRIVATE ${LIBLO_INCLUDE_PATH})
-  target_link_libraries(lo_benchmk_server ${LIBLO_LIB} ${EXTRA_NEEDED_LIBS}) 
+  target_link_libraries(lo_benchmk_server ${LIBLO_LIB} ${EXTRA_LO_LIBS}) 
 
   add_executable(lo_benchmk_client  test/lo_benchmk_client.c) 
   target_include_directories(lo_benchmk_client PRIVATE ${LIBLO_INCLUDE_PATH})  
-  target_link_libraries(lo_benchmk_client ${LIBLO_LIB}  ${EXTRA_NEEDED_LIBS})  
+  target_link_libraries(lo_benchmk_client ${LIBLO_LIB}  ${EXTRA_LO_LIBS})  
 
   add_executable(lo_oscrecv test/lo_oscrecv.c) 
   target_include_directories(lo_oscrecv PRIVATE ${LIBLO_INCLUDE_PATH})  
-  target_link_libraries(lo_oscrecv ${LIBLO_LIB}  ${EXTRA_NEEDED_LIBS})   
+  target_link_libraries(lo_oscrecv ${LIBLO_LIB}  ${EXTRA_LO_LIBS})   
 
   add_executable(lo_oscsend test/lo_oscsend.c) 
   target_include_directories(lo_oscsend PRIVATE ${LIBLO_INCLUDE_PATH})  
-  target_link_libraries(lo_oscsend ${LIBLO_LIB}  ${EXTRA_NEEDED_LIBS})    
+  target_link_libraries(lo_oscsend ${LIBLO_LIB}  ${EXTRA_LO_LIBS})    
 
   add_executable(lo_bndlsend test/lo_bndlsend.c) 
-  target_include_directories(lo_bndlsend PRIVATE ${LIBLO_INCLUDE_PATH})  
-  target_link_libraries(lo_bndlsend ${LIBLO_LIB}  ${EXTRA_NEEDED_LIBS})     
-
-  add_executable(lo_bndlrecv test/lo_bndlrecv.c) 
-  target_include_directories(lo_bndlrecv PRIVATE ${LIBLO_INCLUDE_PATH})  
-  target_link_libraries(lo_bndlrecv ${LIBLO_LIB}  ${EXTRA_NEEDED_LIBS})     
-endif(BUILD_TESTS_WITH_LIBLO)
-endif(BUILD_TESTS)

=== debian/changelog ===
o2 (1.1~ds-6) unstable; urgency=medium

  * Fix FTBFS with Cmake4 (Closes: ##1113335)
  * Fix typo in patch name
  * Add some more upstream-metadata
  * Drop obsolete Rules-Requires-Root stanza
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Sep 2025 23:13:58 +0200

o2 (1.1~ds-5) unstable; urgency=medium

  * Build without 'buildinfo' (Closes: #1090773)
  * Use d/clean rather than extending dh_clean
  * Ensure that 'licensecheck' is run with the C.UTF-8 locale
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 11 Jan 2025 00:44:04 +0100

o2 (1.1~ds-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Exclude debian/ from licensecheck
    + Regenerate d/copyright_hints
  * Fix spelling error in patch name
  * Fix typo in d/changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Dec 2022 14:18:37 +0100

o2 (1.1~ds-3) unstable; urgency=medium

  * Mark patches as forwarded

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 03 Oct 2022 18:30:57 +0200

o2 (1.1~ds-2) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add patch to fix hashing on BIGendian machine
  * Add patch to fix float-comparision (use epsilon)
    (Closes: #1019390)

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 30 Sep 2022 10:55:44 +0200

o2 (1.1~ds-1) unstable; urgency=medium

  * New upstream version 1.1~ds

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * Add patch to honour CFLAGS
  * Add some autopkgtests
  * Mark libo2-dev as Multi-Arch:same
  * Refresh d/libo2.symbols
    * Add Build-Depends stanza to libo2.symbols
  * d/rules
    + Use execute_after_dh_* instead of override_dh_*
    + Enable hardening (nut without 'fortify')
    + Build more verbosely
  * Drop dh-exec from d/*.install (not needed)
  * Update d/copyright
    + Refresh dates
    + Add 'licensecheck' target
    + Generate d/copyright_hints
  * Update lintian-overrides
  * Run 'wrap-and-sort -ast'
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Update d/watch
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 16 Aug 2022 17:12:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,18 @@
 Section: libs
 Priority: optional
 Build-Depends:
- debhelper (>= 11~),
- dh-buildinfo,
+ debhelper-compat (= 13),
  dh-exec,
  cmake,
  doxygen,
-Standards-Version: 4.2.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/o2
 Vcs-Git: https://salsa.debian.org/multimedia-team/o2.git
 Homepage: https://github.com/rbdannenberg/o2/
 
 Package: libo2-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends:
  libo2 (= ${binary:Version}),
@@ -42,8 +41,10 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Suggests: libo2-dev
-Pre-Depends: ${misc:Pre-Depends}
+Suggests:
+ libo2-dev,
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: next generation communication protocol for music systems
  O2 is a communication protocol for interactive music and media applications.
  It is inspired by Open Sound Control (OSC) and uses similar means to form

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-fortify

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
		$(empty)

execute_after_dh_auto_build:
	doxygen doc/Doxyfile

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*|.*\.pptx
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/tests/control ===
Test-Command: make -C debian/tests all
Features:
 test-name=build,
Restrictions:
 superficial,
Depends:
 gcc,
 libc6-dev | libc-dev,
 libo2-dev,
 make,

Test-Command: make -C debian/tests test
Features:
 test-name=simple_run,
Depends:
 gcc,
 libc6-dev | libc-dev,
 libo2-dev,
 make,

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts=dversionmangle=auto,\
 repacksuffix=+ds \
  https://github.com/rbdannenberg/o2/tags \
  (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
